import * as bingo_stratum502 from "bingo-stratum";
import * as zod373 from "zod";

//#region src/presets/common.d.ts
declare const presetCommon: bingo_stratum502.Preset<{
  access: zod373.ZodUnion<[zod373.ZodLiteral<"public">, zod373.ZodLiteral<"restricted">]>;
  author: zod373.ZodOptional<zod373.ZodString>;
  bin: zod373.ZodOptional<zod373.ZodUnion<[zod373.ZodString, zod373.ZodRecord<zod373.ZodString, zod373.ZodString>]>>;
  contributors: zod373.ZodOptional<zod373.ZodArray<zod373.ZodObject<{
    avatar_url: zod373.ZodString;
    contributions: zod373.ZodArray<zod373.ZodString, "many">;
    login: zod373.ZodString;
    name: zod373.ZodString;
    profile: zod373.ZodString;
  }, "strip", zod373.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod373.ZodDefault<zod373.ZodString>;
  directory: zod373.ZodString;
  documentation: zod373.ZodObject<{
    development: zod373.ZodOptional<zod373.ZodString>;
    readme: zod373.ZodObject<{
      additional: zod373.ZodOptional<zod373.ZodString>;
      explainer: zod373.ZodOptional<zod373.ZodString>;
      footnotes: zod373.ZodOptional<zod373.ZodString>;
      usage: zod373.ZodOptional<zod373.ZodString>;
    }, "strip", zod373.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod373.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod373.ZodEffects<zod373.ZodUnion<[zod373.ZodString, zod373.ZodObject<{
    github: zod373.ZodString;
    npm: zod373.ZodString;
  }, "strip", zod373.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod373.ZodOptional<zod373.ZodString>;
  existingLabels: zod373.ZodOptional<zod373.ZodArray<zod373.ZodObject<{
    color: zod373.ZodString;
    description: zod373.ZodString;
    name: zod373.ZodString;
  }, "strip", zod373.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod373.ZodOptional<zod373.ZodString>;
  guide: zod373.ZodOptional<zod373.ZodObject<{
    href: zod373.ZodString;
    title: zod373.ZodString;
  }, "strip", zod373.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod373.ZodOptional<zod373.ZodArray<zod373.ZodString, "many">>;
  logo: zod373.ZodOptional<zod373.ZodObject<{
    alt: zod373.ZodString;
    height: zod373.ZodOptional<zod373.ZodNumber>;
    src: zod373.ZodString;
    width: zod373.ZodOptional<zod373.ZodNumber>;
  }, "strip", zod373.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod373.ZodObject<{
    minimum: zod373.ZodString;
    pinned: zod373.ZodOptional<zod373.ZodString>;
  }, "strip", zod373.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod373.ZodString;
  packageData: zod373.ZodOptional<zod373.ZodObject<{
    dependencies: zod373.ZodOptional<zod373.ZodRecord<zod373.ZodString, zod373.ZodString>>;
    devDependencies: zod373.ZodOptional<zod373.ZodRecord<zod373.ZodString, zod373.ZodString>>;
    peerDependencies: zod373.ZodOptional<zod373.ZodRecord<zod373.ZodString, zod373.ZodString>>;
    peerDependenciesMeta: zod373.ZodOptional<zod373.ZodRecord<zod373.ZodString, zod373.ZodUnknown>>;
    scripts: zod373.ZodOptional<zod373.ZodRecord<zod373.ZodString, zod373.ZodOptional<zod373.ZodString>>>;
  }, "strip", zod373.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod373.ZodOptional<zod373.ZodString>;
  repository: zod373.ZodString;
  rulesetId: zod373.ZodOptional<zod373.ZodString>;
  title: zod373.ZodString;
  type: zod373.ZodOptional<zod373.ZodUnion<[zod373.ZodLiteral<"commonjs">, zod373.ZodLiteral<"module">]>>;
  version: zod373.ZodOptional<zod373.ZodString>;
  words: zod373.ZodOptional<zod373.ZodArray<zod373.ZodString, "many">>;
  workflowsVersions: zod373.ZodOptional<zod373.ZodRecord<zod373.ZodString, zod373.ZodRecord<zod373.ZodString, zod373.ZodObject<{
    hash: zod373.ZodOptional<zod373.ZodString>;
    pinned: zod373.ZodOptional<zod373.ZodBoolean>;
  }, "strip", zod373.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=common.d.ts.map
//#endregion
export { presetCommon };
//# sourceMappingURL=common.d.ts.map