import * as bingo_stratum632 from "bingo-stratum";
import * as zod503 from "zod";

//#region src/presets/everything.d.ts
declare const presetEverything: bingo_stratum632.Preset<{
  access: zod503.ZodUnion<[zod503.ZodLiteral<"public">, zod503.ZodLiteral<"restricted">]>;
  author: zod503.ZodOptional<zod503.ZodString>;
  bin: zod503.ZodOptional<zod503.ZodUnion<[zod503.ZodString, zod503.ZodRecord<zod503.ZodString, zod503.ZodString>]>>;
  contributors: zod503.ZodOptional<zod503.ZodArray<zod503.ZodObject<{
    avatar_url: zod503.ZodString;
    contributions: zod503.ZodArray<zod503.ZodString, "many">;
    login: zod503.ZodString;
    name: zod503.ZodString;
    profile: zod503.ZodString;
  }, "strip", zod503.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod503.ZodDefault<zod503.ZodString>;
  directory: zod503.ZodString;
  documentation: zod503.ZodObject<{
    development: zod503.ZodOptional<zod503.ZodString>;
    readme: zod503.ZodObject<{
      additional: zod503.ZodOptional<zod503.ZodString>;
      explainer: zod503.ZodOptional<zod503.ZodString>;
      footnotes: zod503.ZodOptional<zod503.ZodString>;
      usage: zod503.ZodOptional<zod503.ZodString>;
    }, "strip", zod503.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod503.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod503.ZodEffects<zod503.ZodUnion<[zod503.ZodString, zod503.ZodObject<{
    github: zod503.ZodString;
    npm: zod503.ZodString;
  }, "strip", zod503.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod503.ZodOptional<zod503.ZodString>;
  existingLabels: zod503.ZodOptional<zod503.ZodArray<zod503.ZodObject<{
    color: zod503.ZodString;
    description: zod503.ZodString;
    name: zod503.ZodString;
  }, "strip", zod503.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod503.ZodOptional<zod503.ZodString>;
  guide: zod503.ZodOptional<zod503.ZodObject<{
    href: zod503.ZodString;
    title: zod503.ZodString;
  }, "strip", zod503.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod503.ZodOptional<zod503.ZodArray<zod503.ZodString, "many">>;
  logo: zod503.ZodOptional<zod503.ZodObject<{
    alt: zod503.ZodString;
    height: zod503.ZodOptional<zod503.ZodNumber>;
    src: zod503.ZodString;
    width: zod503.ZodOptional<zod503.ZodNumber>;
  }, "strip", zod503.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod503.ZodObject<{
    minimum: zod503.ZodString;
    pinned: zod503.ZodOptional<zod503.ZodString>;
  }, "strip", zod503.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod503.ZodString;
  packageData: zod503.ZodOptional<zod503.ZodObject<{
    dependencies: zod503.ZodOptional<zod503.ZodRecord<zod503.ZodString, zod503.ZodString>>;
    devDependencies: zod503.ZodOptional<zod503.ZodRecord<zod503.ZodString, zod503.ZodString>>;
    peerDependencies: zod503.ZodOptional<zod503.ZodRecord<zod503.ZodString, zod503.ZodString>>;
    peerDependenciesMeta: zod503.ZodOptional<zod503.ZodRecord<zod503.ZodString, zod503.ZodUnknown>>;
    scripts: zod503.ZodOptional<zod503.ZodRecord<zod503.ZodString, zod503.ZodOptional<zod503.ZodString>>>;
  }, "strip", zod503.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod503.ZodOptional<zod503.ZodString>;
  repository: zod503.ZodString;
  rulesetId: zod503.ZodOptional<zod503.ZodString>;
  title: zod503.ZodString;
  type: zod503.ZodOptional<zod503.ZodUnion<[zod503.ZodLiteral<"commonjs">, zod503.ZodLiteral<"module">]>>;
  version: zod503.ZodOptional<zod503.ZodString>;
  words: zod503.ZodOptional<zod503.ZodArray<zod503.ZodString, "many">>;
  workflowsVersions: zod503.ZodOptional<zod503.ZodRecord<zod503.ZodString, zod503.ZodRecord<zod503.ZodString, zod503.ZodObject<{
    hash: zod503.ZodOptional<zod503.ZodString>;
    pinned: zod503.ZodOptional<zod503.ZodBoolean>;
  }, "strip", zod503.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=everything.d.ts.map
//#endregion
export { presetEverything };
//# sourceMappingURL=everything.d.ts.map