import * as bingo_stratum1152 from "bingo-stratum";
import * as zod1023 from "zod";

//#region src/presets/minimal.d.ts
declare const presetMinimal: bingo_stratum1152.Preset<{
  access: zod1023.ZodUnion<[zod1023.ZodLiteral<"public">, zod1023.ZodLiteral<"restricted">]>;
  author: zod1023.ZodOptional<zod1023.ZodString>;
  bin: zod1023.ZodOptional<zod1023.ZodUnion<[zod1023.ZodString, zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodString>]>>;
  contributors: zod1023.ZodOptional<zod1023.ZodArray<zod1023.ZodObject<{
    avatar_url: zod1023.ZodString;
    contributions: zod1023.ZodArray<zod1023.ZodString, "many">;
    login: zod1023.ZodString;
    name: zod1023.ZodString;
    profile: zod1023.ZodString;
  }, "strip", zod1023.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod1023.ZodDefault<zod1023.ZodString>;
  directory: zod1023.ZodString;
  documentation: zod1023.ZodObject<{
    development: zod1023.ZodOptional<zod1023.ZodString>;
    readme: zod1023.ZodObject<{
      additional: zod1023.ZodOptional<zod1023.ZodString>;
      explainer: zod1023.ZodOptional<zod1023.ZodString>;
      footnotes: zod1023.ZodOptional<zod1023.ZodString>;
      usage: zod1023.ZodOptional<zod1023.ZodString>;
    }, "strip", zod1023.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod1023.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod1023.ZodEffects<zod1023.ZodUnion<[zod1023.ZodString, zod1023.ZodObject<{
    github: zod1023.ZodString;
    npm: zod1023.ZodString;
  }, "strip", zod1023.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod1023.ZodOptional<zod1023.ZodString>;
  existingLabels: zod1023.ZodOptional<zod1023.ZodArray<zod1023.ZodObject<{
    color: zod1023.ZodString;
    description: zod1023.ZodString;
    name: zod1023.ZodString;
  }, "strip", zod1023.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod1023.ZodOptional<zod1023.ZodString>;
  guide: zod1023.ZodOptional<zod1023.ZodObject<{
    href: zod1023.ZodString;
    title: zod1023.ZodString;
  }, "strip", zod1023.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod1023.ZodOptional<zod1023.ZodArray<zod1023.ZodString, "many">>;
  logo: zod1023.ZodOptional<zod1023.ZodObject<{
    alt: zod1023.ZodString;
    height: zod1023.ZodOptional<zod1023.ZodNumber>;
    src: zod1023.ZodString;
    width: zod1023.ZodOptional<zod1023.ZodNumber>;
  }, "strip", zod1023.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod1023.ZodObject<{
    minimum: zod1023.ZodString;
    pinned: zod1023.ZodOptional<zod1023.ZodString>;
  }, "strip", zod1023.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod1023.ZodString;
  packageData: zod1023.ZodOptional<zod1023.ZodObject<{
    dependencies: zod1023.ZodOptional<zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodString>>;
    devDependencies: zod1023.ZodOptional<zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodString>>;
    peerDependencies: zod1023.ZodOptional<zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodString>>;
    peerDependenciesMeta: zod1023.ZodOptional<zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodUnknown>>;
    scripts: zod1023.ZodOptional<zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodOptional<zod1023.ZodString>>>;
  }, "strip", zod1023.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod1023.ZodOptional<zod1023.ZodString>;
  repository: zod1023.ZodString;
  rulesetId: zod1023.ZodOptional<zod1023.ZodString>;
  title: zod1023.ZodString;
  type: zod1023.ZodOptional<zod1023.ZodUnion<[zod1023.ZodLiteral<"commonjs">, zod1023.ZodLiteral<"module">]>>;
  version: zod1023.ZodOptional<zod1023.ZodString>;
  words: zod1023.ZodOptional<zod1023.ZodArray<zod1023.ZodString, "many">>;
  workflowsVersions: zod1023.ZodOptional<zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodRecord<zod1023.ZodString, zod1023.ZodObject<{
    hash: zod1023.ZodOptional<zod1023.ZodString>;
    pinned: zod1023.ZodOptional<zod1023.ZodBoolean>;
  }, "strip", zod1023.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=minimal.d.ts.map
//#endregion
export { presetMinimal };
//# sourceMappingURL=minimal.d.ts.map