import * as zod133 from "zod";
import * as bingo_stratum_lib_types_templates_js262 from "bingo-stratum/lib/types/templates.js";

//#region src/template.d.ts
declare const template: bingo_stratum_lib_types_templates_js262.StratumTemplate<{
  access: zod133.ZodUnion<[zod133.ZodLiteral<"public">, zod133.ZodLiteral<"restricted">]>;
  author: zod133.ZodOptional<zod133.ZodString>;
  bin: zod133.ZodOptional<zod133.ZodUnion<[zod133.ZodString, zod133.ZodRecord<zod133.ZodString, zod133.ZodString>]>>;
  contributors: zod133.ZodOptional<zod133.ZodArray<zod133.ZodObject<{
    avatar_url: zod133.ZodString;
    contributions: zod133.ZodArray<zod133.ZodString, "many">;
    login: zod133.ZodString;
    name: zod133.ZodString;
    profile: zod133.ZodString;
  }, "strip", zod133.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod133.ZodDefault<zod133.ZodString>;
  directory: zod133.ZodString;
  documentation: zod133.ZodObject<{
    development: zod133.ZodOptional<zod133.ZodString>;
    readme: zod133.ZodObject<{
      additional: zod133.ZodOptional<zod133.ZodString>;
      explainer: zod133.ZodOptional<zod133.ZodString>;
      footnotes: zod133.ZodOptional<zod133.ZodString>;
      usage: zod133.ZodOptional<zod133.ZodString>;
    }, "strip", zod133.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod133.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod133.ZodEffects<zod133.ZodUnion<[zod133.ZodString, zod133.ZodObject<{
    github: zod133.ZodString;
    npm: zod133.ZodString;
  }, "strip", zod133.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod133.ZodOptional<zod133.ZodString>;
  existingLabels: zod133.ZodOptional<zod133.ZodArray<zod133.ZodObject<{
    color: zod133.ZodString;
    description: zod133.ZodString;
    name: zod133.ZodString;
  }, "strip", zod133.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod133.ZodOptional<zod133.ZodString>;
  guide: zod133.ZodOptional<zod133.ZodObject<{
    href: zod133.ZodString;
    title: zod133.ZodString;
  }, "strip", zod133.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod133.ZodOptional<zod133.ZodArray<zod133.ZodString, "many">>;
  logo: zod133.ZodOptional<zod133.ZodObject<{
    alt: zod133.ZodString;
    height: zod133.ZodOptional<zod133.ZodNumber>;
    src: zod133.ZodString;
    width: zod133.ZodOptional<zod133.ZodNumber>;
  }, "strip", zod133.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod133.ZodObject<{
    minimum: zod133.ZodString;
    pinned: zod133.ZodOptional<zod133.ZodString>;
  }, "strip", zod133.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod133.ZodString;
  packageData: zod133.ZodOptional<zod133.ZodObject<{
    dependencies: zod133.ZodOptional<zod133.ZodRecord<zod133.ZodString, zod133.ZodString>>;
    devDependencies: zod133.ZodOptional<zod133.ZodRecord<zod133.ZodString, zod133.ZodString>>;
    peerDependencies: zod133.ZodOptional<zod133.ZodRecord<zod133.ZodString, zod133.ZodString>>;
    peerDependenciesMeta: zod133.ZodOptional<zod133.ZodRecord<zod133.ZodString, zod133.ZodUnknown>>;
    scripts: zod133.ZodOptional<zod133.ZodRecord<zod133.ZodString, zod133.ZodOptional<zod133.ZodString>>>;
  }, "strip", zod133.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod133.ZodOptional<zod133.ZodString>;
  repository: zod133.ZodString;
  rulesetId: zod133.ZodOptional<zod133.ZodString>;
  title: zod133.ZodString;
  type: zod133.ZodOptional<zod133.ZodUnion<[zod133.ZodLiteral<"commonjs">, zod133.ZodLiteral<"module">]>>;
  version: zod133.ZodOptional<zod133.ZodString>;
  words: zod133.ZodOptional<zod133.ZodArray<zod133.ZodString, "many">>;
  workflowsVersions: zod133.ZodOptional<zod133.ZodRecord<zod133.ZodString, zod133.ZodRecord<zod133.ZodString, zod133.ZodObject<{
    hash: zod133.ZodOptional<zod133.ZodString>;
    pinned: zod133.ZodOptional<zod133.ZodBoolean>;
  }, "strip", zod133.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=template.d.ts.map
//#endregion
export { template };
//# sourceMappingURL=template.d.ts.map